﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace lab6
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class KhonkoLab6Entities : DbContext
    {
        public KhonkoLab6Entities()
            : base("name=KhonkoLab6Entities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Catalogs> Catalogs { get; set; }
        public virtual DbSet<Categories> Categories { get; set; }
        public virtual DbSet<Product> Product { get; set; }
    }
}
